Name: libpopt
Version: 1.7
Release: alt9
Serial: 1
%define srcname popt-20020315

%def_with apidocs

Summary: A C library for parsing command line parameters
License: MIT
Group: System/Libraries
Url: http://www.rpm.org/

# ftp://ftp.rpm.org/pub/rpm/test/
# cvs -d :pserver:anonymous@cvs.rpm.org:/cvs/devel get -r rpm-4_0 rpm/popt
Source: %srcname.tar.bz2

Patch1: popt-20020315-alt-alloc-checks.patch
Patch2: popt-20020315-alt-context-checks.patch
Patch3: popt-20020315-alt-x-alloc.patch
Patch4: popt-20020315-alt-man.patch
Patch5: popt-20020315-owl-alt-env-sgid.patch

Provides: popt = %version-%release
Obsoletes: popt

BuildPreReq: autoconf = 2.13, automake = 1.4, libtool = 1.4.3, rpm-build >= 4.0.4-alt10
%{?_with_apidocs:BuildPreReq: doxygen}

# Automatically added by buildreq on Thu May 01 2003
BuildRequires: glibc-devel-static

%package devel
Summary: Developement environment for the %name library
Group: Development/C
Provides: popt-devel = %version-%release
Obsoletes: popt-devel
Requires: %name = %serial:%version-%release
Requires: glibc-devel

%package devel-static
Summary: Static %name library
Group: Development/C
Provides: popt-devel-static = %version-%release
Obsoletes: popt-devel-static
Requires: %name-devel = %serial:%version-%release

%description
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%description devel
This package contains developement headers, library and documentation
for the %name library.

%description devel-static
This package contains static library required for development statically
linked %name-based software.

%prep
%setup -q -n %srcname
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%add_optflags -DHAVE_MCHECK_H
%set_autoconf_version 2.13
%set_automake_version 1.4
%set_libtool_version 1.4

# Remove all translations (only ru is supported atm).
echo ru >po/LINGUAS
%__subst 's/^\(ALL_LINGUAS=\)/#\1/g' configure.in
gettextize --copy --force --quiet
%__cp /usr/share/gettext/intl/Makevars po/

./autogen.sh --noconfigure
%configure --disable-rpath %{subst_with apidocs}

%make_build
./testit.sh

%{?_with_apidocs:make doxygen}

%install
%__mkdir_p $RPM_BUILD_ROOT/lib
%make_install install DESTDIR="$RPM_BUILD_ROOT"

%{?_with_apidocs:%__install -p -m644 doxygen/man/man3/popt.h.3 $RPM_BUILD_ROOT%_man3dir/}

# Relocate shared libraries from %_libdir/ to /lib/.
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../lib/"$t" "$f"
done
%__mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/

bzip2 -9 *.ps ||:

%find_lang popt

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f popt.lang
/lib/*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%_mandir/man?/*
%doc README CHANGES *.ps*

%files devel-static
%_libdir/*.a

%changelog
* Tue Nov 25 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.7-alt9
- Do not package .la files.

* Wed Aug 20 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.7-alt8
- Explicitly use old libtool for build.

* Thu May 01 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.7-alt7
- Fixed environment issues.
- Packaged some doxygen documentation for popt,
  correct manpage issue mentioned in (#0001458).

* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.7-alt6
- Fixed build with new gettext.
- Explicitly use old autoconf/automake for build.

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.7-alt5
- Fixed %name.la

* Mon Sep 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.7-alt4
- Updated %post/%postun scripts.
- Turned absolute symlinks into relative.
- Updated devel-static requirements.

* Mon Mar 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.7-alt3
- Synced with cvs snapshot 20020315 (minor fixes).

* Tue Sep 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.7-alt2
- Synced with cvs snapshot 20010925.

* Wed Sep 05 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.7-alt1
- Synced with cvs snapshot 20010905.
- Moved static library to devel-static subpackage.
- Added context sanity checks.
- Updated alloc sanity checks.
- Updated russian translations.

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 1.7-ipl1mdk
- Synced with cvs.
- Wrapped memory allocation functions.
- Workaround for (argc <= 0) bug.
- Updated russian translation.

* Fri Sep 15 2000 Dmitry V. Levin <ldv@fandra.org> 1.7-ipl0.2mdk
- Added support for float/double args.

* Tue Aug 15 2000 Dmitry V. Levin <ldv@fandra.org> 1.7-ipl0.1mdk
- 1.7

* Sun Aug 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.6-ipl0.1mdk
- Initial revision (cvs snapshot, split from rpm package).
